=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kdbusaddons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdbusaddons
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdbusaddons.git
