=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -23,9 +23,9 @@
 
 Package: libkf5dbusaddons-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5dbusaddons5-bin
-Replaces: libkf5dbusaddons5-bin
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5dbusaddons5-bin,
+Replaces: libkf5dbusaddons5-bin,
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
@@ -35,9 +35,9 @@
 Package: libkf5dbusaddons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5dbusaddons5-data
-Replaces: libkf5dbusaddons5-data
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5dbusaddons5-data,
+Replaces: libkf5dbusaddons5-data,
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
@@ -50,8 +50,8 @@
 Depends: libkf5dbusaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Breaks: kded5-dev (<< 5.54), libkf5service-dev (<< 5.54)
-Recommends: libkf5dbusaddons-doc (= ${source:Version})
+Breaks: kded5-dev (<< 5.54), libkf5service-dev (<< 5.54),
+Recommends: libkf5dbusaddons-doc (= ${source:Version}),
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
@@ -59,7 +59,7 @@
 Package: libkf5dbusaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: class library for qtdbus (documentation)
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
@@ -82,7 +82,7 @@
         libkf5service5 (<< 5.54),
         libkf5wallet-bin (<< 5.54),
         plasma-framework (<< 5.25),
-Recommends: libkf5dbusaddons-bin (= ${binary:Version})
+Recommends: libkf5dbusaddons-bin (= ${binary:Version}),
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
